<?php
/**
 * User_model
 */
class User_model extends Model {
    
    function User_model()
    {
        parent::Model();
    }
    
    function isMember()
    {
        $this->load->library('phpsession');
        
        $member = $this->phpsession->get('member');
        if ($member == null)
        {
            return false;
        }
        return true;
    }
    
    function isAdmin()
    {
        $this->load->library('phpsession');
        
        $admin = $this->phpsession->get('admin');
        if ($admin == null)
        {
            return false;
        }
        return true;
    }
    
    function isSuper()
    {
        $this->load->library('phpsession');
        
        $super = $this->phpsession->get('super');
        if ($super == null)
        {
            return false;
        }
        return true;
    }
}
